Bug 7860 - /virtualshelves/addbybiblionumber.pl plack scoping
Summary: /virtualshelves/addbybiblionumber.pl plack scoping
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Lists (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Dobrica Pavlinusic
QA Contact: Ian Walls
URL:
Keywords:
Depends on:
Blocks: 7172
  Show dependency treegraph
 
Reported: 2012-03-30 23:30 UTC by Dobrica Pavlinusic
Modified: 2013-12-05 20:04 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 7860 - /virtualshelves/addbybiblionumber.pl plack scoping (4.87 KB, patch)
2012-03-30 23:43 UTC, Dobrica Pavlinusic
Details | Diff | Splinter Review
[Signed-off] Bug 7860 - /virtualshelves/addbybiblionumber.pl plack scoping (4.94 KB, patch)
2012-04-03 08:46 UTC, Alex Arnaud
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Dobrica Pavlinusic 2012-03-30 23:30:16 UTC

    
Comment 1 Dobrica Pavlinusic 2012-03-30 23:43:50 UTC Comment hidden (obsolete)
Comment 2 Dobrica Pavlinusic 2012-03-30 23:52:12 UTC
test scenario:

1. go to search results
2. select few of them
3. Add to: [ new list ]
4. enter name and save
5. verify that list exists
Comment 3 Alex Arnaud 2012-04-03 08:45:38 UTC
Test i did without the patch:

    - Select few record from search results,
    - Add them to [ new list ]
    => get the following error:
"Can't call method "param" on an undefined value at /home/alex/workspace/versions/koha34/virtualshelves/addbybiblionumber.pl line 115."

Applying the patch, all works well:

    - Select few record from search results,
    - Add them to [ new list ],
    - Give it a name and save,
    => The created list is viewable from opac and intranet, koha being on plack or not.

Signing off
Comment 4 Alex Arnaud 2012-04-03 08:46:33 UTC
Created attachment 8800 [details] [review]
[Signed-off] Bug 7860 - /virtualshelves/addbybiblionumber.pl plack scoping

Variable "$query" is not available at /srv/koha/virtualshelves/addbybiblionumber.pl line 115.
Variable "$loggedinuser" is not available at /srv/koha/virtualshelves/addbybiblionumber.pl line 129.
Variable "$shelfnumber" is not available at /srv/koha/virtualshelves/addbybiblionumber.pl line 134.
Variable "$newvirtualshelf" is not available at /srv/koha/virtualshelves/addbybiblionumber.pl line 135.
Variable "$sortfield" is not available at /srv/koha/virtualshelves/addbybiblionumber.pl line 136.
Variable "$category" is not available at /srv/koha/virtualshelves/addbybiblionumber.pl line 137.
Variable "$loggedinuser" is not available at /srv/koha/virtualshelves/addbybiblionumber.pl line 137.
Variable "$authorized" is not available at /srv/koha/virtualshelves/addbybiblionumber.pl line 139.
Variable "$errcode" is not available at /srv/koha/virtualshelves/addbybiblionumber.pl line 140.
Variable "@biblionumber" is not available at /srv/koha/virtualshelves/addbybiblionumber.pl line 143.
Variable "$query" is not available at /srv/koha/virtualshelves/addbybiblionumber.pl line 145.
Variable "$authorized" is not available at /srv/koha/virtualshelves/addbybiblionumber.pl line 150.
Variable "$loggedinuser" is not available at /srv/koha/virtualshelves/addbybiblionumber.pl line 150.
Variable "$shelfnumber" is not available at /srv/koha/virtualshelves/addbybiblionumber.pl line 150.
Variable "@biblionumber" is not available at /srv/koha/virtualshelves/addbybiblionumber.pl line 151.
Variable "$query" is not available at /srv/koha/virtualshelves/addbybiblionumber.pl line 153.
Variable "$errcode" is not available at /srv/koha/virtualshelves/addbybiblionumber.pl line 157.
Variable "$authorized" is not available at /srv/koha/virtualshelves/addbybiblionumber.pl line 162.
Variable "$loggedinuser" is not available at /srv/koha/virtualshelves/addbybiblionumber.pl line 162.
Variable "$shelfnumber" is not available at /srv/koha/virtualshelves/addbybiblionumber.pl line 162.
Variable "$template" is not available at /srv/koha/virtualshelves/addbybiblionumber.pl line 165.
Variable "$errcode" is not available at /srv/koha/virtualshelves/addbybiblionumber.pl line 173.
Variable "$loggedinuser" is not available at /srv/koha/virtualshelves/addbybiblionumber.pl line 178.
Variable "$template" is not available at /srv/koha/virtualshelves/addbybiblionumber.pl line 180.
Variable "@biblionumber" is not available at /srv/koha/virtualshelves/addbybiblionumber.pl line 188.
Variable "$template" is not available at /srv/koha/virtualshelves/addbybiblionumber.pl line 196.
Variable "$template" is not available at /srv/koha/virtualshelves/addbybiblionumber.pl line 204.
Variable "$newshelf" is not available at /srv/koha/virtualshelves/addbybiblionumber.pl line 205.
Variable "$authorized" is not available at /srv/koha/virtualshelves/addbybiblionumber.pl line 206.
Variable "$errcode" is not available at /srv/koha/virtualshelves/addbybiblionumber.pl line 207.
Variable "$query" is not available at /srv/koha/virtualshelves/addbybiblionumber.pl line 209.
Variable "$cookie" is not available at /srv/koha/virtualshelves/addbybiblionumber.pl line 209.
Can't call method "param" on an undefined value at /srv/koha/virtualshelves/addbybiblionumber.pl line 115.

Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 5 Ian Walls 2012-04-03 16:00:26 UTC
'my' to 'our' scope only changes.  markign passed QA
Comment 6 Jared Camins-Esakov 2012-12-31 00:51:22 UTC
There have been no further reports of problems so I am marking this bug resolved.